#include "main.h"
#include "ff.h"

//#include "usart.h"
#define sizebuff 16
struct flags
{
	unsigned writting:1;
};

extern struct flags flags_UART_FATFS;

FRESULT CreateAndOpenMessageFile(FIL *MessageFile, const TCHAR* path);
FRESULT OpenMessageFile(FIL *MessageFile, const TCHAR* path);
FRESULT WriteMessage(FIL *MessageFile, char *Message, UINT SizeOfMessage);
FRESULT CloseMessageFile(FIL *MessageFile);
void WriteFile(char *Data, int Num_of_Data);
	
void Check_USART(void);
	
